<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for YouTube Anywhere TinyMCE plugin for Moodle.
 * Crowdfunded by many cool people.
 *
 * @package tinymce_youtube
 * @copyright 2013 Justin Hunt (@link http://www.poodll.com)
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


$string['pluginname'] = 'YouTube Anywhere';

/* All lang strings used from TinyMCE JavaScript code must be named 'pluginname:stringname', no need to create langs/en_dlg.js */
$string['youtube:accessible'] = 'YouTube Anywhere for TinyMCE available in toolbar';
$string['youtube:desc'] = 'Insert a YouTube Video';
$string['visibletabsheading'] = 'YouTube Anywhere Tabset Settings';
$string['keysauthheading'] = 'Authentication and API Key Settings';
$string['videoinfoheading'] = 'Video Default Settings on YouTube';
$string['roleeval'] = 'Determine Access:';
$string['usecapabilities'] = 'By Capability: tinymce/youtube:accessible';
$string['usecheckboxes'] = 'By Moodle Role (checkboxes below)';
$string['evalcheckboxheading'] = 'Access Settings';
$string['allowguest'] = 'Allow Guests';
$string['allowfrontpage'] = 'Allow Front Page Users';
$string['allowauthuser'] = 'Allow Authenticated Users';
$string['allowstudent'] = 'Allow Students';
$string['allownoneditteacher'] = 'Allow Non Editing Teachers';
$string['allowteacher'] = 'Allow Teachers';
$string['allowmanager'] = 'Allow Managers';
$string['allowcoursecreator'] = 'Allow Course Creators';
$string['allowadmin'] = 'Allow Administrators';
$string['roleevaldetails'] = 'Use either the checkboxes below or the special Moodle capability tinymce/youtube:accessible to specify if the user has access.';
$string['allowedroles'] = 'Allowed Roles';
$string['allowedrolesdetails'] = 'Moodle roles which can access the YouTube Anywhere icon. Only applicable if \'Determine Access\' is set to \'by Moodle Role\'.';
$string['videoprivacy'] = 'Privacy Setting';
$string['videoprivacydetails'] = 'Be sure you understand the way the YouTube interprets the privacy settings before you change them.';
$string['unlisted'] = 'unlisted';
$string['public'] = 'public';
$string['private'] = 'private';
$string['videocategory'] = 'Video Category';
$string['videocategorydetails'] = '';
$string['cat_autos'] = 'Autos';
$string['cat_animals'] = 'Animals';
$string['cat_sports'] = 'Sports';
$string['cat_videoblog'] = 'Video Blog';
$string['cat_music'] = 'Music';
$string['cat_film'] = 'Film';
$string['cat_games'] = 'Games';
$string['cat_travel'] = 'Travel';
$string['cat_people'] = 'People';
$string['cat_comedy'] = 'Comedy';
$string['cat_news'] = 'News';
$string['cat_howto'] = 'How To\'s';
$string['cat_education'] = 'Education';
$string['cat_tech'] = 'Tech';
$string['cat_nonprofit'] = 'Non Profit';
$string['cat_shows'] = 'Shows';
$string['cat_trailers'] = 'Trailers';
$string['cat_movies'] = 'Movies';

$string['allowytcomment'] = 'People can comment on videos on YouTube';
$string['allowytrate'] = 'People can rate videos on YouTube';
$string['allowytrespond'] = 'People can respond by video on YouTube';
$string['allowytcommentdetails'] = '* does not apply to videos recorded from webcam.';
$string['allowytratedetails'] = '* does not apply to videos recorded from webcam.';
$string['allowytresponddetails'] = '* does not apply to videos recorded from webcam.';
//youtube specific string
$string['youtubedevkey'] = 'Google Public API Key';
$string['youtubedevkeydetails'] = '';
$string['authtype'] = 'Authentication Method';
$string['authtypedetails'] = '';
$string['youtubemasteruser'] = 'YouTube master account user';
$string['youtubemasteruserdetails'] = 'Necessary if authenticating with a master YouTube account.';
$string['youtubemasterpass'] = 'YouTube master account password';
$string['youtubemasterpassdetails'] = 'Necessary if authenticating with a master YouTube account.';
$string['youtubeclientid'] = 'Google OAUTH2 Client ID';
$string['youtubeclientiddetails'] = 'Necessary if authenticating with student\'s YouTube accounts.';
$string['youtubesecret'] = 'Google OAUTH2 Client Secret';
$string['youtubesecretdetails'] = 'Necessary if authenticating with student\'s YouTube accounts.';
$string['linkonly'] = 'Link only';
$string['byuser'] = 'Use students YouTube accounts';
$string['bymaster'] = 'Use master YouTube account';
$string['allowuploads'] = 'Enable file submissions';
$string['allowuploadsdetails'] = '';
$string['allowwebcam'] = 'Enable webcam submissions';
$string['allowwebcamdetails'] = '';
$string['allowmanual'] = 'Enable submissions from YouTube account';
$string['allowmanualdetails'] = '';
$string['clicktoplayvideo'] = 'Click to play video';
$string['clicktorecordvideo'] = 'Click to Record Video';
$string['logintext'] = 'Login with Google/YouTube';
$string['uploadavideo'] = 'Upload a Video';
$string['uploadavideodetails'] = 'Select a video from your computer or device, and upload it to the YouTube server. If your video is long, uploading could take a long time and may not be immediately available for playback.<br />';
$string['recordavideo'] = 'Record a Video';
$string['recordavideodetails'] = 'Record a video using the camera and microphone on your computer. First click the button to load the recorder. You will need to be logged in to YouTube/Google and grant permission to the recorder to use your camera and microphone.<br />';
$string['linkavideo'] = 'Submit a YouTube URL';
$string['linkavideodetails'] = "Paste a YouTube URL into the textbox below.<br />";
$string['browsevideos'] = 'Select a YouTube video';
$string['browsevideosdetails'] = "Select a YouTube video from the list below.<br />";
$string['uploadsuccessful'] = 'Upload Successful';
$string['uploadfailed'] = 'Upload Failed';
$string['pleasesave'] = 'click the Insert button to finish.';
$string['nodevkey'] =  'To upload, your administrator must specify their Google Public API Key in the admin settings for this plugin.';
$string['nomaster'] =  'To upload, your administrator must specify a master YouTube account and password.';
$string['nooauth2'] =  'To upload, your administrator must specify a Google OAUTH2 client id and secret.';
$string['youtubecallbackfailed'] =  'The processing of your authorisation from YouTube/Google failed. Unable to contact the HTML editor.';
$string['youtubecallbackjsfailed'] =  'The processing of your authorisation from YouTube/Google failed. Javascript failed to load.';